<section class="nevis-account-phone  grid-indent">

  <section class="nevis-account-phone__phone  nevis-account__single-form  dwfe-form">
    <h2 id="account_phone_info" class="visually-hidden">{{app.i18n('title_info', i18n)}}</h2>

    <div class="nevis-account__group  nevis-account__element-indent">
      <dwfe-form-control-input-text class="nevis-account__group-control"
                                    [labelText]="app.i18n('phone', i18n)"
                                    (takeControl)="cPhone=$event"></dwfe-form-control-input-text>

      <dwfe-form-control-toggle class="nevis-account__group-vis-checker"
                                [hintTrue]="app.i18n('hint_true', i18n)"
                                [hintFalse]="app.i18n('hint_false', i18n)"
                                [markIfChanged]="true"
                                [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                                [saveEdit$]="subjSaveEdit_Info.asObservable()"
                                (takeControl)="tPhone=$event"
                                (takeIsChanged)="phoneNonPublic_changed=$event"></dwfe-form-control-toggle>
    </div>

    <dwfe-action-ok-cancel class="nevis-account__action"
                           [errorMessage]="errorMessage"
                           [successMessage]="successMessage"
                           [showErrorMessage]="activeExchangeUnitNumber===1 && errorMessage !== ''"
                           [showSuccessMessage]="activeExchangeUnitNumber===1 && successMessage !== ''"
                           [isDisabled]="!isInfoChanged || isLocked"
                           (takeCancel)="performCancelEdit()"
                           (takeOk)="performUpdateAccountPhone()"></dwfe-action-ok-cancel>

    <dwfe-overlay *ngIf="activeExchangeUnitNumber===1 && isLocked"></dwfe-overlay>

  </section>

  <mat-divider></mat-divider>

  <section class="nevis-account__single-form  dwfe-form" spellcheck="false">
    <h2 id="phone_change">{{app.i18n('title_change', i18n)}}</h2>

    <dwfe-form-control-input-text [labelText]="app.i18n('new_phone', i18n)"
                                  [markIfChanged]="true"
                                  [saveEdit$]="subjSaveEdit_Change.asObservable()"
                                  (takeControl)="cNewPhone=$event"
                                  (takeIsChanged)="newPhone_changed=$event"></dwfe-form-control-input-text>

    <dwfe-form-control-input-password class="nevis-account__element-indent"
                                      [labelText]="app.i18n('current_password', i18n)"
                                      [disableValidators]="true"
                                      (takeControl)="cCurrentPassword=$event"></dwfe-form-control-input-password>

    <dwfe-action-ok class="nevis-account__action"
                    [errorMessage]="errorMessage"
                    [successMessage]="successMessage"
                    [showErrorMessage]="activeExchangeUnitNumber===2 && errorMessage !== ''"
                    [showSuccessMessage]="activeExchangeUnitNumber===2 && successMessage !== ''"
                    [isDisabled]="!(newPhone_changed && cCurrentPassword && cCurrentPassword.value && cCurrentPassword.value!='') || isLocked"
                    (takeClick)="performChangePhone()"></dwfe-action-ok>

    <dwfe-overlay *ngIf="activeExchangeUnitNumber===2 && isLocked"></dwfe-overlay>

  </section>

</section>
